For the complete documentation index, see llms.txt. For the full documentation snapshot, see llms-full.txt.
Fetch a team by key.
LaunchDarkly supports several fields for expanding the “Get team” response. By default, these fields are not included in the response.
To expand the response, append the expand query parameter and add a comma-separated list with any of the following fields:
members includes the total count of members that belong to the team.roles includes a paginated list of the custom roles that you have assigned to the team.roleAttributes includes a list of the role attributes that you have assigned to the team.projects includes a paginated list of the projects that the team has any write access to.maintainers includes a paginated list of the maintainers that you have assigned to the team.For example, expand=members,roles includes the members and roles fields in the response.
curl --request GET \
--url https://app.launchdarkly.com/api/v2/teams/{teamKey} \
--header 'Authorization: <api-key>'{
"description": "Description for this team.",
"key": "team-key-123abc",
"name": "Example team",
"_access": {
"denied": [
{
"action": "<string>",
"reason": {
"effect": "allow",
"resources": [
"proj/*:env/*;qa_*:/flag/*"
],
"notResources": [
"<string>"
],
"actions": [
"*"
],
"notActions": [
"<string>"
],
"role_name": "<string>"
}
}
],
"allowed": [
{
"action": "<string>",
"reason": {
"effect": "allow",
"resources": [
"proj/*:env/*;qa_*:/flag/*"
],
"notResources": [
"<string>"
],
"actions": [
"*"
],
"notActions": [
"<string>"
],
"role_name": "<string>"
}
}
]
},
"_creationDate": "1648671956143",
"_links": {
"parent": {
"href": "/api/v2/teams",
"type": "application/json"
},
"roles": {
"href": "/api/v2/teams/example-team/roles",
"type": "application/json"
},
"self": {
"href": "/api/v2/teams/example-team",
"type": "application/json"
}
},
"_lastModified": "1648672446072",
"_version": 3,
"_idpSynced": true,
"roleAttributes": "{\"developerProjectKey\": [\"default\"]}",
"roles": {
"totalCount": 1,
"items": [
{
"key": "role-key-123abc",
"name": "Example role",
"projects": {
"totalCount": 1,
"items": [
{
"_links": {
"environments": {
"href": "/api/v2/projects/example-project/environments",
"type": "application/json"
},
"self": {
"href": "/api/v2/projects/example-project",
"type": "application/json"
}
},
"key": "project-key-123abc",
"name": "Example project"
}
]
},
"appliedOn": "1648672018410"
}
],
"_links": {
"self": {
"href": "/api/v2/teams/example-team/roles?limit=25",
"type": "application/json"
}
}
},
"members": {
"totalCount": 15
},
"projects": {
"totalCount": 1,
"items": [
{
"_links": {
"environments": {
"href": "/api/v2/projects/example-project/environments",
"type": "application/json"
},
"self": {
"href": "/api/v2/projects/example-project",
"type": "application/json"
}
},
"key": "project-key-123abc",
"name": "Example project"
}
]
},
"maintainers": {
"totalCount": 1,
"items": [
{
"_id": "569f183514f4432160000007",
"_links": {
"self": {
"href": "/api/v2/members/569f183514f4432160000007",
"type": "application/json"
}
},
"email": "ariel@acme.com",
"firstName": "Ariel",
"lastName": "Flores",
"role": "reader"
}
],
"_links": {
"self": {
"href": "/api/v2/teams/example-team/maintainers?limit=20",
"type": "application/json"
}
}
}
}Documentation Index
Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
The team key.
A comma-separated list of properties that can reveal additional information in the response.
Teams response
A description of the team
"Description for this team."
The team key
"team-key-123abc"
A human-friendly name for the team
"Example team"
Details on the allowed and denied actions for this team
Show child attributes
Timestamp of when the team was created
"1648671956143"
The location and content type of related resources
Show child attributes
{
"parent": {
"href": "/api/v2/teams",
"type": "application/json"
},
"roles": {
"href": "/api/v2/teams/example-team/roles",
"type": "application/json"
},
"self": {
"href": "/api/v2/teams/example-team",
"type": "application/json"
}
}
Timestamp of when the team was most recently updated
"1648672446072"
The team version
3
Whether the team has been synced with an external identity provider (IdP). Team sync is available to customers on an Enterprise plan.
true
A map of role attributes for the team
Show child attributes
"{\"developerProjectKey\": [\"default\"]}"
Paginated list of the custom roles assigned to this team. Only included if specified in the expand query parameter.
Show child attributes
Details on the total count of members that belong to the team. Only included if specified in the expand query parameter.
Show child attributes
Paginated list of the projects that the team has any write access to. Only included if specified in the expand query parameter.
Show child attributes
Paginated list of the maintainers assigned to this team. Only included if specified in the expand query parameter.
Show child attributes
curl --request GET \
--url https://app.launchdarkly.com/api/v2/teams/{teamKey} \
--header 'Authorization: <api-key>'{
"description": "Description for this team.",
"key": "team-key-123abc",
"name": "Example team",
"_access": {
"denied": [
{
"action": "<string>",
"reason": {
"effect": "allow",
"resources": [
"proj/*:env/*;qa_*:/flag/*"
],
"notResources": [
"<string>"
],
"actions": [
"*"
],
"notActions": [
"<string>"
],
"role_name": "<string>"
}
}
],
"allowed": [
{
"action": "<string>",
"reason": {
"effect": "allow",
"resources": [
"proj/*:env/*;qa_*:/flag/*"
],
"notResources": [
"<string>"
],
"actions": [
"*"
],
"notActions": [
"<string>"
],
"role_name": "<string>"
}
}
]
},
"_creationDate": "1648671956143",
"_links": {
"parent": {
"href": "/api/v2/teams",
"type": "application/json"
},
"roles": {
"href": "/api/v2/teams/example-team/roles",
"type": "application/json"
},
"self": {
"href": "/api/v2/teams/example-team",
"type": "application/json"
}
},
"_lastModified": "1648672446072",
"_version": 3,
"_idpSynced": true,
"roleAttributes": "{\"developerProjectKey\": [\"default\"]}",
"roles": {
"totalCount": 1,
"items": [
{
"key": "role-key-123abc",
"name": "Example role",
"projects": {
"totalCount": 1,
"items": [
{
"_links": {
"environments": {
"href": "/api/v2/projects/example-project/environments",
"type": "application/json"
},
"self": {
"href": "/api/v2/projects/example-project",
"type": "application/json"
}
},
"key": "project-key-123abc",
"name": "Example project"
}
]
},
"appliedOn": "1648672018410"
}
],
"_links": {
"self": {
"href": "/api/v2/teams/example-team/roles?limit=25",
"type": "application/json"
}
}
},
"members": {
"totalCount": 15
},
"projects": {
"totalCount": 1,
"items": [
{
"_links": {
"environments": {
"href": "/api/v2/projects/example-project/environments",
"type": "application/json"
},
"self": {
"href": "/api/v2/projects/example-project",
"type": "application/json"
}
},
"key": "project-key-123abc",
"name": "Example project"
}
]
},
"maintainers": {
"totalCount": 1,
"items": [
{
"_id": "569f183514f4432160000007",
"_links": {
"self": {
"href": "/api/v2/members/569f183514f4432160000007",
"type": "application/json"
}
},
"email": "ariel@acme.com",
"firstName": "Ariel",
"lastName": "Flores",
"role": "reader"
}
],
"_links": {
"self": {
"href": "/api/v2/teams/example-team/maintainers?limit=20",
"type": "application/json"
}
}
}
}